<!--
******************************************************************************
* Copyright © 2017-2018 PTA GmbH.
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* 
*     http://www.eclipse.org/legal/epl-v10.html
* 
******************************************************************************
-->

<nav class="navbar navbar-default navbar-fixed-top masthead overview-navbar" role="banner">
  <div class="container-fluid">
    <div class="navbar-header" (click)="navigate()">
      <a class="navbar-brand"><span class="open">Open</span><span class="konsequenz">KONSEQUENZ</span></a>
    </div>
    <div class="nav navbar-nav navbar-right">
      <ng-content></ng-content>
      <div class="btn btn-link navbar-btn">
        <a href="{{ sessionContext.settings?.helpUrl }}" title="Hilfe" target="_blank">
          <span class="glyphicon glyphicon-question-sign"></span>
        </a>
      </div>
      <div class="dropdown-open nav-user nav-overview-user">
        <a
          class="btn btn-logout dropdown-toggle"
          style="min-width: 160px"
          type="button"
          data-toggle="dropdown"
          href="#"
          aria-expanded="true"
          >{{ sessionContext.getAccessTokenDecoded()?.name }}<span class="caret"></span
        ></a>
        <ul class="dropdown-menu" style="left: auto; right: auto">
          <li class="dropdown">
            <a (click)="openDialogLogout()">Abmelden</a>
          </li>
        </ul>
      </div>
    </div>
  </div>
</nav>
